| FlatBuffers An open source project by FPL.

Public Member Functions | Static Public Member Functions | List of all members
com.google.flatbuffers.FlexBuffers.Key Class Reference

Represents a key element in the buffer. More...

Inherits com.google.flatbuffers.FlexBuffers.Object.

## Detailed Description

Represents a key element in the buffer.

Keys are used to reference objects in a `Map`

## Public Member Functions
boolean | equals (java.lang.Object obj)
| Compare keys. More...
int | hashCode ()
String | toString ()
StringBuilder | toString (StringBuilder sb)
| Appends a text(JSON) representation to a `StringBuilder`

## Static Public Member Functions
static Key | empty ()
| Return an empty `Key`. More...

## Member Function Documentation

## ◆ empty()

static Key com.google.flatbuffers.FlexBuffers.Key.empty | ( |  | ) |
| inline static

Return an empty `Key`.

Returns
  empty `Key`

## ◆ equals()

boolean com.google.flatbuffers.FlexBuffers.Key.equals | ( | java.lang.Object | obj | ) |
| inline

Compare keys.

Parameters

  obj | other key to compare

Returns
  true if keys are the same

The documentation for this class was generated from the following file:

- FlexBuffers.java